## AgsRecallChannel

AgsRecallChannel — The recall base class of channel context

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsChannel * | ags_recall_channel_get_destination ()
void | ags_recall_channel_set_destination ()
AgsChannel * | ags_recall_channel_get_source ()
void | ags_recall_channel_set_source ()
GList * | ags_recall_channel_find_channel ()
AgsRecallChannel * | ags_recall_channel_new ()

## Properties

AgsChannel * | destination | Read / Write
AgsRecallAudio * | recall-audio | Read / Write
AgsChannel * | source | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallChannel
                ├── AgsFxAnalyseChannel
                ├── AgsFxBufferChannel
                ├── AgsFxNotationChannel
                ├── AgsFxEnvelopeChannel
                ├── AgsFxEq10Channel
                ├── AgsFxHighPassChannel
                ├── AgsFxLadspaChannel
                ├── AgsFxLfoChannel
                ├── AgsFxLowPassChannel
                ├── AgsFxPatternChannel
                ├── AgsFxPeakChannel
                ├── AgsFxPlaybackChannel
                ├── AgsFxTremoloChannel
                ├── AgsFxTwoPassAliaseChannel
                ├── AgsFxVolumeChannel
                ╰── AgsFxWahWahChannel

## Includes

    #include <ags/audio/ags_recall_channel.h>

## Description

AgsRecallChannel acts as channel recall and hosts AgsPort for audio context ports.

## Functions

### ags_recall_channel_get_destination ()

    AgsChannel *
    ags_recall_channel_get_destination (AgsRecallChannel *recall_channel);

Get destination.

#### Parameters

recall_channel | the AgsRecallDestination |

#### Returns

the AgsDestination.

[transfer full]

Since: 3.1.0

### ags_recall_channel_set_destination ()

    void
    ags_recall_channel_set_destination (AgsRecallChannel *recall_channel,
                                        AgsChannel *destination);

Set destination.

#### Parameters

recall_channel | the AgsRecallChannel |
destination | the AgsChannel |

Since: 3.1.0

### ags_recall_channel_get_source ()

    AgsChannel *
    ags_recall_channel_get_source (AgsRecallChannel *recall_channel);

Get source.

#### Parameters

recall_channel | the AgsRecallSource |

#### Returns

the AgsSource.

[transfer full]

Since: 3.1.0

### ags_recall_channel_set_source ()

    void
    ags_recall_channel_set_source (AgsRecallChannel *recall_channel,
                                   AgsChannel *source);

Set source.

#### Parameters

recall_channel | the AgsRecallChannel |
source | the AgsChannel |

Since: 3.1.0

### ags_recall_channel_find_channel ()

    GList *
    ags_recall_channel_find_channel (GList *recall_channel,
                                     AgsChannel *source);

Retrieve next recall assigned to channel.

#### Parameters

recall_channel | the GList containing AgsRecallChannel. | [element-type AgsAudio.RecallChannel][transfer none]
source | the AgsChannel to find |

#### Returns

next matching GList or `NULL`.

[element-type AgsAudio.RecallChannel][transfer none]

Since: 3.0.0

### ags_recall_channel_new ()

    AgsRecallChannel *
    ags_recall_channel_new ();

Creates an AgsRecallChannel.

#### Returns

a new AgsRecallChannel.

Since: 3.0.0

## Property Details

### The `“destination”` property

      “destination”              AgsChannel *

The assigned destination channel.

Owner: AgsRecallChannel

Flags: Read / Write

Since: 3.0.0

### The `“recall-audio”` property

      “recall-audio”             AgsRecallAudio *

The associated recall within audio context.

Owner: AgsRecallChannel

Flags: Read / Write

Since: 3.0.0

### The `“source”` property

      “source”                   AgsChannel *

The assigned source channel.

Owner: AgsRecallChannel

Flags: Read / Write

Since: 3.0.0